/*
 * DocServer
 * More Info available on https://www.doctag.de
 *
 * The version of the OpenAPI document: 0.1
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package de.doctag.docsrv_api.model;

import java.util.Objects;
import java.util.Arrays;
import java.util.Map;
import java.util.HashMap;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonTypeName;
import com.fasterxml.jackson.annotation.JsonValue;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;


/**
 * PublicKeyVerification
 */
@JsonPropertyOrder({
  PublicKeyVerification.JSON_PROPERTY_IS_ADDRESS_VERIFIED,
  PublicKeyVerification.JSON_PROPERTY_IS_SIGNING_DOCTAG_INSTANCE_VERIFIED,
  PublicKeyVerification.JSON_PROPERTY_SIGNATURE_OF_PUBLIC_KEY_ENTRY,
  PublicKeyVerification.JSON_PROPERTY_SIGNATURE_VALID_UNTIL,
  PublicKeyVerification.JSON_PROPERTY_SIGNED_AT,
  PublicKeyVerification.JSON_PROPERTY_SIGNED_BY_PARTY,
  PublicKeyVerification.JSON_PROPERTY_SIGNED_BY_PUBLIC_KEY
})
@javax.annotation.processing.Generated(value = "org.openapitools.codegen.languages.JavaClientCodegen")
public class PublicKeyVerification {
  public static final String JSON_PROPERTY_IS_ADDRESS_VERIFIED = "isAddressVerified";
  private Boolean isAddressVerified;

  public static final String JSON_PROPERTY_IS_SIGNING_DOCTAG_INSTANCE_VERIFIED = "isSigningDoctagInstanceVerified";
  private Boolean isSigningDoctagInstanceVerified;

  public static final String JSON_PROPERTY_SIGNATURE_OF_PUBLIC_KEY_ENTRY = "signatureOfPublicKeyEntry";
  private String signatureOfPublicKeyEntry;

  public static final String JSON_PROPERTY_SIGNATURE_VALID_UNTIL = "signatureValidUntil";
  private String signatureValidUntil;

  public static final String JSON_PROPERTY_SIGNED_AT = "signedAt";
  private String signedAt;

  public static final String JSON_PROPERTY_SIGNED_BY_PARTY = "signedByParty";
  private String signedByParty;

  public static final String JSON_PROPERTY_SIGNED_BY_PUBLIC_KEY = "signedByPublicKey";
  private String signedByPublicKey;


  public PublicKeyVerification isAddressVerified(Boolean isAddressVerified) {
    this.isAddressVerified = isAddressVerified;
    return this;
  }

   /**
   * Get isAddressVerified
   * @return isAddressVerified
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(value = "")
  @JsonProperty(JSON_PROPERTY_IS_ADDRESS_VERIFIED)
  @JsonInclude(value = JsonInclude.Include.USE_DEFAULTS)

  public Boolean getIsAddressVerified() {
    return isAddressVerified;
  }


  @JsonProperty(JSON_PROPERTY_IS_ADDRESS_VERIFIED)
  @JsonInclude(value = JsonInclude.Include.USE_DEFAULTS)
  public void setIsAddressVerified(Boolean isAddressVerified) {
    this.isAddressVerified = isAddressVerified;
  }


  public PublicKeyVerification isSigningDoctagInstanceVerified(Boolean isSigningDoctagInstanceVerified) {
    this.isSigningDoctagInstanceVerified = isSigningDoctagInstanceVerified;
    return this;
  }

   /**
   * Get isSigningDoctagInstanceVerified
   * @return isSigningDoctagInstanceVerified
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(value = "")
  @JsonProperty(JSON_PROPERTY_IS_SIGNING_DOCTAG_INSTANCE_VERIFIED)
  @JsonInclude(value = JsonInclude.Include.USE_DEFAULTS)

  public Boolean getIsSigningDoctagInstanceVerified() {
    return isSigningDoctagInstanceVerified;
  }


  @JsonProperty(JSON_PROPERTY_IS_SIGNING_DOCTAG_INSTANCE_VERIFIED)
  @JsonInclude(value = JsonInclude.Include.USE_DEFAULTS)
  public void setIsSigningDoctagInstanceVerified(Boolean isSigningDoctagInstanceVerified) {
    this.isSigningDoctagInstanceVerified = isSigningDoctagInstanceVerified;
  }


  public PublicKeyVerification signatureOfPublicKeyEntry(String signatureOfPublicKeyEntry) {
    this.signatureOfPublicKeyEntry = signatureOfPublicKeyEntry;
    return this;
  }

   /**
   * Get signatureOfPublicKeyEntry
   * @return signatureOfPublicKeyEntry
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(value = "")
  @JsonProperty(JSON_PROPERTY_SIGNATURE_OF_PUBLIC_KEY_ENTRY)
  @JsonInclude(value = JsonInclude.Include.USE_DEFAULTS)

  public String getSignatureOfPublicKeyEntry() {
    return signatureOfPublicKeyEntry;
  }


  @JsonProperty(JSON_PROPERTY_SIGNATURE_OF_PUBLIC_KEY_ENTRY)
  @JsonInclude(value = JsonInclude.Include.USE_DEFAULTS)
  public void setSignatureOfPublicKeyEntry(String signatureOfPublicKeyEntry) {
    this.signatureOfPublicKeyEntry = signatureOfPublicKeyEntry;
  }


  public PublicKeyVerification signatureValidUntil(String signatureValidUntil) {
    this.signatureValidUntil = signatureValidUntil;
    return this;
  }

   /**
   * Get signatureValidUntil
   * @return signatureValidUntil
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(value = "")
  @JsonProperty(JSON_PROPERTY_SIGNATURE_VALID_UNTIL)
  @JsonInclude(value = JsonInclude.Include.USE_DEFAULTS)

  public String getSignatureValidUntil() {
    return signatureValidUntil;
  }


  @JsonProperty(JSON_PROPERTY_SIGNATURE_VALID_UNTIL)
  @JsonInclude(value = JsonInclude.Include.USE_DEFAULTS)
  public void setSignatureValidUntil(String signatureValidUntil) {
    this.signatureValidUntil = signatureValidUntil;
  }


  public PublicKeyVerification signedAt(String signedAt) {
    this.signedAt = signedAt;
    return this;
  }

   /**
   * Get signedAt
   * @return signedAt
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(value = "")
  @JsonProperty(JSON_PROPERTY_SIGNED_AT)
  @JsonInclude(value = JsonInclude.Include.USE_DEFAULTS)

  public String getSignedAt() {
    return signedAt;
  }


  @JsonProperty(JSON_PROPERTY_SIGNED_AT)
  @JsonInclude(value = JsonInclude.Include.USE_DEFAULTS)
  public void setSignedAt(String signedAt) {
    this.signedAt = signedAt;
  }


  public PublicKeyVerification signedByParty(String signedByParty) {
    this.signedByParty = signedByParty;
    return this;
  }

   /**
   * Get signedByParty
   * @return signedByParty
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(value = "")
  @JsonProperty(JSON_PROPERTY_SIGNED_BY_PARTY)
  @JsonInclude(value = JsonInclude.Include.USE_DEFAULTS)

  public String getSignedByParty() {
    return signedByParty;
  }


  @JsonProperty(JSON_PROPERTY_SIGNED_BY_PARTY)
  @JsonInclude(value = JsonInclude.Include.USE_DEFAULTS)
  public void setSignedByParty(String signedByParty) {
    this.signedByParty = signedByParty;
  }


  public PublicKeyVerification signedByPublicKey(String signedByPublicKey) {
    this.signedByPublicKey = signedByPublicKey;
    return this;
  }

   /**
   * Get signedByPublicKey
   * @return signedByPublicKey
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(value = "")
  @JsonProperty(JSON_PROPERTY_SIGNED_BY_PUBLIC_KEY)
  @JsonInclude(value = JsonInclude.Include.USE_DEFAULTS)

  public String getSignedByPublicKey() {
    return signedByPublicKey;
  }


  @JsonProperty(JSON_PROPERTY_SIGNED_BY_PUBLIC_KEY)
  @JsonInclude(value = JsonInclude.Include.USE_DEFAULTS)
  public void setSignedByPublicKey(String signedByPublicKey) {
    this.signedByPublicKey = signedByPublicKey;
  }


  /**
   * Return true if this PublicKeyVerification object is equal to o.
   */
  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    PublicKeyVerification publicKeyVerification = (PublicKeyVerification) o;
    return Objects.equals(this.isAddressVerified, publicKeyVerification.isAddressVerified) &&
        Objects.equals(this.isSigningDoctagInstanceVerified, publicKeyVerification.isSigningDoctagInstanceVerified) &&
        Objects.equals(this.signatureOfPublicKeyEntry, publicKeyVerification.signatureOfPublicKeyEntry) &&
        Objects.equals(this.signatureValidUntil, publicKeyVerification.signatureValidUntil) &&
        Objects.equals(this.signedAt, publicKeyVerification.signedAt) &&
        Objects.equals(this.signedByParty, publicKeyVerification.signedByParty) &&
        Objects.equals(this.signedByPublicKey, publicKeyVerification.signedByPublicKey);
  }

  @Override
  public int hashCode() {
    return Objects.hash(isAddressVerified, isSigningDoctagInstanceVerified, signatureOfPublicKeyEntry, signatureValidUntil, signedAt, signedByParty, signedByPublicKey);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class PublicKeyVerification {\n");
    sb.append("    isAddressVerified: ").append(toIndentedString(isAddressVerified)).append("\n");
    sb.append("    isSigningDoctagInstanceVerified: ").append(toIndentedString(isSigningDoctagInstanceVerified)).append("\n");
    sb.append("    signatureOfPublicKeyEntry: ").append(toIndentedString(signatureOfPublicKeyEntry)).append("\n");
    sb.append("    signatureValidUntil: ").append(toIndentedString(signatureValidUntil)).append("\n");
    sb.append("    signedAt: ").append(toIndentedString(signedAt)).append("\n");
    sb.append("    signedByParty: ").append(toIndentedString(signedByParty)).append("\n");
    sb.append("    signedByPublicKey: ").append(toIndentedString(signedByPublicKey)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

